Subject: Re: manual merge of the cix tree with the arm-soc tree

From: "Arnd Bergmann" <[email-masked]>
Date: Fri, 08 May 2026 13:06:02 +0200

On Fri, May 8, 2026, at 12:52, Peter Chen wrote:
> On 26-05-08 11:12:23, Thierry Reding wrote:
>> 
>> It looks like the patch from the cix tree somehow partially landed in
>> the arm-soc tree, even though it wasn't pulled yet.
>
> Hi Thierry,
>
> Sorry for about it.
>
> The above CIX things defconfig changes have reviewed near to Arm64 v7.1-rc1
> merge window close, so I have not sent pull-request for it, and it left
> at cix's for-next tree. These two days, I rebased cix's for-next tree to
> v7.1-rc2, and this patch is on top of it.

Hi Peter,

this is not a problem you caused, just something to be aware of
when you send the pull request, and to check that Thierry made
the right choice in resolving it.

> Arnd, I deleted this patch at CIX next-tree. Would you please help queue it
> in your soc/defconfig:
>
> https://git.kernel.org/pub/scm/linux/kernel/git/peter.chen/cix.git/
> branch: cix/defconfig

Please send it as a normal pull request or patch to [email-masked]
so your change gets mered using the patchwork process.

If you send it as a standalone patch, please make sure it applies
on top of the soc/defconfig branch. A pull request is also fine,
and that would normally be based on -rc1. Obviously this causes
a merge conflict, which we will resolve during the merge.

     Arnd